List Incoming ACH Transactions
curl --request GET \
--url https://api-sandbox.synctera.com/v0/ach/incoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/ach/incoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/ach/incoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"account_no": "122455799",
"amount": 10000,
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"effective_date": "2022-03-25",
"file_name": "<string>",
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"identification_number": "<string>",
"individual_name": "<string>",
"is_future_dated": true,
"originating_routing_number": "364275034",
"sec_code": "WEB",
"settlement_date": "2022-03-25",
"tenant": "abcdef_ghijkl",
"trace_no": "123456780000069",
"account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"customer_id": "46fac778-90c0-4d55-9a21-a587e564e7b5",
"decline_reason": "Suspected fraud",
"external_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iat_info": {
"foreign_payment_amount": 123,
"foreign_trace_number": "<string>",
"name": "<string>",
"odfi_branch_country_code": "<string>",
"odfi_id_number_qualifier": "<string>",
"odfi_identification": "<string>",
"odfi_name": "<string>",
"originator_address": {
"city_state_province": "San Francisco*CA",
"country_postal_code": "US*10036",
"street": "<string>"
},
"originator_name": "<string>",
"rdfi_branch_country_code": "<string>",
"rdfi_id_number_qualifier": "<string>",
"rdfi_identification": "<string>",
"rdfi_name": "<string>",
"receiver_address": {
"city_state_province": "San Francisco*CA",
"country_postal_code": "US*10036",
"street": "<string>"
},
"receiver_id_number": "<string>",
"transaction_type_code": "<string>"
},
"notification_of_change": {
"change_code": "C01",
"corrected_data": "122455799",
"original_dfi_no": "364275034",
"original_trace": "123456780000069"
},
"outgoing_ach_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"reference_info": [
"<string>"
],
"return_data": {
"code": "R01",
"original_dfi_no": "364275034",
"original_trace": "123456780000069",
"dishonored_return_code": "69",
"dishonored_return_settlement_date": "256",
"dishonored_return_trace": "123456780000069",
"field_errors": "05",
"return_code": "13",
"return_settlement_date": "256",
"return_trace": "123456780000069"
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}ACH
List Incoming ACH Transactions
🚧 Beta This is a Beta endpoint for use by early adopters. Do not use this endpoint with real customers. Feedback from the community is welcome. Any breaking changes to this endpoint will be pre-announced.
GET
/
ach
/
incoming
List Incoming ACH Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Status of the transaction
End of the settlement date range query
Example:
"2023-09-25"
Start of the settlement date range query
Example:
"2023-09-15"
uuid representing an account
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?
⌘I

